View Issue Details

IDProjectCategoryView StatusLast Update
0019026LazarusLCLpublic2011-04-18 14:16
ReporterMartin FriebeAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.31 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0019026: modal form vs stay-on-top conflict
Description- In lazarus open a form that is stay on top (e.g leak view)
- then open a modal dialog (e.g "run params"

So far all goes find, the dialog is correctly displayed on top of leak-view => since leak view is blocked by the modal dialog)

- no use the file-open dialog, from the "run params" window (select an executable to run)

When you close the "open file" dialog, then "leak view" moves to the front, and gets stuck there.

No way to reach the modal dialog below
TagsNo tags attached.
Fixed in Revision30277,30278
LazTarget0.99.0
WidgetsetWin32/Win64
Attached Files

Activities

Paul Ishenin

2011-04-13 09:11

manager   ~0047450

Please test and close if ok.

Issue History

Date Modified Username Field Change
2011-03-29 22:34 Martin Friebe New Issue
2011-03-29 22:34 Martin Friebe LazTarget => -
2011-03-29 22:34 Martin Friebe Widgetset => Win32/Win64
2011-03-30 22:05 Vincent Snijders LazTarget - => 0.99.0
2011-03-30 22:05 Vincent Snijders Status new => acknowledged
2011-03-30 22:05 Vincent Snijders Target Version => 0.99.0
2011-04-04 05:38 Paul Ishenin Target Version 0.99.0 => 1.0.0
2011-04-04 05:38 Paul Ishenin Target Version 1.0.0 => 0.99.0
2011-04-13 09:11 Paul Ishenin Fixed in Revision => 30277,30278
2011-04-13 09:11 Paul Ishenin Status acknowledged => resolved
2011-04-13 09:11 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2011-04-13 09:11 Paul Ishenin Resolution open => fixed
2011-04-13 09:11 Paul Ishenin Assigned To => Paul Ishenin
2011-04-13 09:11 Paul Ishenin Note Added: 0047450
2011-04-18 14:16 Martin Friebe Status resolved => closed